Subject: Re: bug#24857: Anybody needs help to set up a qemu VM for GNU/Hurd?

From: Clément Pit--Claudel <[email-masked]>
Date: Thu, 1 Dec 2016 11:48:21 -0500

Hi Svante,

Sorry; I wrote back to the bug list, and forgot to CC you (debbugs only forwards responses to the original author).

I seem to be lucky: re-running the series of steps that I posted in a clean Hurd VM seems to work reliably; I wasn't sure what you meant by "try to build it a second time", so I ran "make clean; make -j4", 5 times in a row, and it still worked fine on all attempts:

    In GNU Emacs 25.1.90.1 (i686-unknown-gnu0.8, GTK+ Version 3.22.3)
     of 2016-12-01 built on debian
    System Description:     Debian GNU buildd-unstable (sid)

    Configured using:
     'configure --without-makeinfo'

    Configured features:
    XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK DBUS GCONF GSETTINGS NOTIFY
    LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11

I'm happy to try out Debian packages, but I'm not entirely sure how; should I just download the archives from https://packages.debian.org/unstable/emacs25 ? Do I need to build emacs25-bin-common separately?

Thanks,
Clément.

On 2016-12-01 09:52, Svante Signell wrote:
> Hi Clement (and the ML),
> 
> I just saw your mail to this bug. Unfortunately I did not get that mail. Do I
> have to subscribe to get them?
> 
> Anyway, you were just lucky. Try to build it a second time, or even better build
> the debian package. Latest version now is 2.25.1+1-3. You'll see the same
> problems as me (and the hurd build daemons).
> 
> Thanks for trying Hurd out.
> 
> On Fri, 2016-11-04 at 21:17 +0100, Svante Signell wrote:
>> Hello,
>>
>> In order for you to try out the FTBFS problems of emacs24/25 on
>> GNU/Hurd, maybe somebody wants to set up a VM image. The easiest way to
>> do that would be to read:
>> https://people.debian.org/~sthibault/hurd-i386/installer/cdimage/
>> or using a pre-installed image: (3GiB)
>> tinyurl.com/6dyly5d
>> containing debian-hurd.img.tar.gz
> 
> 
> 
>